# J2SE 1.4 contains XML-parser.
# Bootstrap version needed for building xml-commons-* and xerces-j
# which required for building ant itself
%def_disable bootstrap_version

Name: ant
Version: 1.6.2
Release: alt2.M24.1

Summary: Platform-independent build tool for Java
Group: Development/Java
License: Apache
URL: http://ant.apache.org/

Packager: Mikhail Zabaluev <mhz@altlinux.ru>

Source: http://www.apache.org/dist/ant/source/apache-%name-%version-src.tar.bz2
Source1: apache-ant.sh.in
Source2: apache-ant.conf

BuildArch: noarch

BuildPreReq: /proc
BuildPreReq: j2se1.4-sun-devel rpm-build-java

%if_disabled bootstrap_version
BuildPreReq: xml-commons-apis xerces-j
%endif

Requires: java-common >= 1.2 j2se >= 1.4.2

%if_disabled bootstrap_version
Requires: xml-commons-apis jaxp_parser_impl
%endif

%description
Ant is a Java based build tool.
Ant is used to build Jakarta & XML projects by the Apache Group.

%package manual
Summary: Documentation for ant
Group: Development/Java
Requires: %name = %version-%release

%description manual
Documentation for ant, a platform-independent build tool for Java.

%package javadoc
Summary: Javadoc for ant
Group: Development/Java
Requires: java-common >= 1.2

%description javadoc
Javadoc-generated documentation for ant, a platform-independent
build tool for Java.

%package task-reference
Summary: Ant task reference in PDF format
Group: Books/Computer books
Requires: %name = %version-%release

%description task-reference
The Ant task reference in the PDF format.

%package style-xsl
Summary: XSL stylesheets for Ant
Group: Text tools
Requires: %name = %version-%release

%description style-xsl
Useful XSL stylesheets included in the Ant distribution.

%prep
%setup -q -n apache-%name-%version

%build
%if_disabled bootstrap_version
CLASSPATH=%_javadir/jaxp_parser_impl.jar:%_javadir/xml-commons-apis.jar
export CLASSPATH
%endif

./build.sh -Ddist.dir=dist dist

%__sed -e 's,@libdir@,%_libdir,g' \
	    -e 's,@datadir@,%_datadir,g' \
   	 -e 's,@sysconfdir@,%_sysconfdir,g' \
	    < %SOURCE1 >dist/bin/ant

%install
%__mkdir_p %buildroot%_bindir
%__mkdir_p %buildroot%_sysconfdir
%__mkdir_p %buildroot%_datadir/%name/etc
%__mkdir_p %buildroot%_javadir/%name
%__mkdir_p %buildroot%_javadocdir/%name
%__mkdir_p %buildroot%_docdir/%name-%version/manual

%__install -m 644 dist/lib/ant.jar %buildroot%_javadir/%name
%__install -m 644 dist/lib/ant-nodeps.jar %buildroot%_javadir/%name
%__install -m 644 dist/lib/ant-launcher.jar %buildroot%_javadir/%name

%__install -m 755 dist/bin/ant %buildroot%_bindir
%__install -m 755 dist/bin/antRun %buildroot%_bindir

%__install -m 644 %{SOURCE2} %buildroot%_sysconfdir/ant.conf

%__mv dist/etc/* %buildroot%_datadir/%name/etc
%__rm %buildroot%_datadir/%name/etc/*.jar

%__cp NOTICE LICENSE README WHATSNEW welcome.html %buildroot%_docdir/%name-%version
%__mv dist/docs/manual/api %buildroot%_javadocdir/%name
%__cp -r docs/* %buildroot%_docdir/%name-%version/

%__ln_s %_javadocdir/%name/api %buildroot%_docdir/%name-%version/manual/api
%__ln_s %_javadir/ant %buildroot%_datadir/ant/lib

%files
%dir %_docdir/%name-%version
%_docdir/%name-%version/LICENSE
%_docdir/%name-%version/README
%_docdir/%name-%version/WHATSNEW
%_docdir/%name-%version/NOTICE

%_bindir/ant
%_bindir/antRun
%_sysconfdir/*.conf
%dir %_datadir/%name
%dir %_datadir/%name/lib
%_javadir/ant

%files manual
%_docdir/%name-%version/ant2
%_docdir/%name-%version/images
%_docdir/%name-%version/manual
%_docdir/%name-%version/projects
%_docdir/%name-%version/*.html
%_docdir/%name-%version/*.js
%_docdir/%name-%version/*.ico
%_docdir/%name-%version/*.css

%files javadoc
%_javadocdir/%name

%files task-reference
%_docdir/%name-%version/*.pdf

%files style-xsl
%_datadir/%name/etc

%changelog
* Mon Mar 21 2005 Alexey Borovskoy <alb@altlinux.ru> 1.6.2-alt2.M24.1
- Backport to Master 2.4
- Remove python and perl support
- Sync with local repo
- Add support for building bootstrap version

* Sat Aug 07 2004 Mikhail Zabaluev <mhz@altlinux.ru> 1.6.2-alt2
- BuildRequire /proc

* Wed Jul 21 2004 Mikhail Zabaluev <mhz@altlinux.ru> 1.6.2-alt1
- New upstream release

* Mon Jun 14 2004 Mikhail Zabaluev <mhz@altlinux.ru> 1.6.1-alt2
- Add all the optional library dependencies to classpath in the launcher script
- Conditionally disable debug info (off by default)

* Sun Feb 22 2004 Mikhail Zabaluev <mhz@altlinux.ru> 1.6.1-alt1
- Updated to the upstream release 1.6.1
- Updated the ant script
- Substitute directory names in the apt script
- Set config(noreplace) attribute for /etc/apt.conf

* Fri Oct 24 2003 Mikhail Zabaluev <mhz@altlinux.ru> 1.5.4-alt2
- Shipped ant-optional off to a separate spec with extensive build dependencies
- Take scripts from dist/bin where <fixcrlf/> task is performed

* Sun Aug 17 2003 Mikhail Zabaluev <mhz@altlinux.ru> 1.5.4-alt1
- 1.5.4

* Mon Mar 10 2003 Mikhail Zabaluev <mhz@altlinux.ru> 1.5.2-alt1
- 1.5.2
- Synced with 1.5.2-2jpp: added scripts subpackage, changed URL

* Mon Nov 18 2002 Mikhail Zabaluev <mhz@altlinux.ru> 1.5.1-alt1
- 1.5.1
- refurbished for the new java packaging system derived from JPackage
- docs separated to main package stuff (introductory),
  manual, javadoc and task-reference (a bulky PDF document)
- style-xsl subpackage

* Wed May 29 2002 Mikhail Zabaluev <mhz@altlinux.ru> 1.4.1-alt3
- both ant script and build search /usr/lib for JDK
- build compatible with jdk-1.3.1 package

* Sun May 19 2002 Mikhail Zabaluev <mhz@altlinux.ru> 1.4.1-alt2
- ant-optional subpackage
- build probes known JDK locations when JAVA_HOME is not set

* Thu Apr 25 2002 Mikhail Zabaluev <mhz@altlinux.ru> 1.4.1-alt1
- 1.4.1
- Borrowed a start script from Henri once more, and cleaned it up

* Tue May 01 2001 Mikhail Zabaluev <mhz@altlinux.ru> 1.3-alt1
- Adapted for ALTLinux
- Renamed ant-manual back to ant-doc
- Returned jars back into ant tree for the sake of tidyness
- Revision 0.5 of ant.sh
- Set group to Development/Java

* Thu Mar 23 2001 Henri Gomez <hgomez@slib.fr>
- ant-1.3 RPM Release 2
- rebuild with updated ant-optional.jar, the previously
  used was missing some classes.

* Mon Mar 05 2001 Henri Gomez <hgomez@slib.fr>
- ant 1.3
- build CLASSPATH=/usr/share/java/bsf.jar:/usr/share/java/jakarta-regexp.jar:/usr/share/java/xalan.jar:/usr/share/java/xerces.jar

* Mon Feb 27 2001 Henri Gomez <hgomez@slib.fr>
- ant-1.3b2 release 3
- fix manual permissions

* Mon Feb 26 2001 Henri Gomez <hgomez@slib.fr>
- ant-1.3b2 release 2
- fix /usr/local/bin/perl references

* Fri Feb 09 2001 Henri Gomez <hgomez@slib.fr>
- ant-1.3b1
- build CLASSPATH=/usr/share/java/bsf.jar:/usr/share/java/jakarta-regexp.jar:/usr/share/java/xalan.jar:/usr/share/java/xerces.jar

* Wed Oct 25 2000 Henri Gomez <hgomez@slib.fr>
- ant-1.2 RPM Release 2
- renamed ant-doc to ant-manual (follow apache RPM naming)
- RH 7.0 changes location of docdir and DocumentRoot. The spec file is modified
  to place manual in right place when rebuilded under RH 6.x or RH 7.0
- compiled on Redhat 6.1 box plus updates with rpm-3.0.5

* Tue Oct 24 2000 Henri Gomez <hgomez@slib.fr>
- ant-1.2
- added optional.jar
- read WHATSNEW for changes in ant 1.2

* Fri Oct 20 2000 Henri Gomez <hgomez@slib.fr>
- ant-1.2rc
- added optional.jar (from jarkata site)
- source file is renamed from jakarta-ant-src.tar.gz to
  jakarta-ant-src-v1.2rc.tar.gz to allow multiple source file
  in my RPM source dir
- build CLASSPATH=

* Mon Oct 16 2000 Henri Gomez <hgomez@slib.fr>
- ant-1.1 RPM Release 5
- follow Debian policy about java stuff, libs in /usr/share/java,
  executable in /usr/bin
- prepare transition to RH 7.0 new document root (/var/www)
- build CLASSPATH=/usr/share/java/bsf.jar:/usr/share/java/xalan.jar

* Fri Oct 06 2000 Henri Gomez <hgomez@slib.fr>
- v1.1-4
- tomcat build failed if ANT_HOME is set to /usr.
  ant shell script set ANT_HOME to /usr/share/ant
  to fix 'antRun not found' and allow tomcat build ;-?!
- reorganized group packages for javas RPM :
  Development/Tools (ant)
  Developement/Libraries(xalan, xerces)
  Documentation (all ;-)
- build CLASSPATH=/usr/lib/java/bsf.jar:/usr/lib/java/bsfengines.jar:/usr/lib/java/xalan.jar

* Fri Sep 29 2000 Henri Gomez <hgomez@slib.fr>
- v1.1-3- jars are now installed on /usr/lib/java since /opt is
  mounted read-only on many systems <summer@os2.ami.com.au>
- correct bad URL in apidocs
- try to use jikes if present
- rebuilded with IBM JDK 1.3.0 (cx130-20000815)

* Fri Jul 21 2000 Henri Gomez <hgomez@slib.fr>
- v1.1-2
- Rebuild rpm with IBM JDK 1.3 (cx130-20000623) to allow ant
  work under both JDK 1.1.8 and JDK 1.3.
- minor spec file correction (patch ant after install)

* Thu Jul 20 2000 Henri Gomez <hgomez@slib.fr>
- v1.1 final release
- ant need now a JAXP compatible parser. Sun's jaxp 1.0.1 are
  allready included in .tar.gz and so we will use and export
  these jar (jaxp.jar & parser.jar).
  You could also use Apache xerces 1.1.2 or later.
- removed export CLASSPATH= at build time, but you'll have to
  ensure now you have a minimal CLASSPATH (ie: xml parser jars)
- Try to use now the Linux Software Map and Redhat Map.
  exec goes /usr/bin and classes in /usr/lib/ant.
  documentation stay in /home/httpd/html/manual/ant
- Compiled on Redhat 6.1 with latest IBM JDK 1.1.8 (l118-20000515)

* Tue May 02 2000 Henri Gomez <hgomez@slib.fr>
- v0.3.1
- From jakarta/tomcat 3.1 final release. Need now to
  have a consistent version number ;-)
- Fixed classpath problem at compile time by cleaning CLASSPATH before
  build/install stages.
- Compiled on Redhat 6.1 with IBM JDK 1.1.8 (20000328)

* Thu Apr 13 2000 Henri Gomez <hgomez@slib.fr>
- v0.3.1_rc1
- Version renamed to 0.3.1_rc1 to follow Sam Ruby (rubys@us.ibm.com)
  recommandation since the next major release will be 1.0

* Wed Mar 08 2000 Henri Gomez <gomez@slib.fr>
- v3.1b1
- removed moo from ant RPM. Will be now in watchdog RPM.

* Tue Feb 29 2000 Henri Gomez <gomez@slib.fr>
- v3.1_m2rc2

* Fri Feb 25 2000 Henri Gomez <gomez@slib.fr>
- v3.1_m2rc1
- moo is no more in the tar packages, will be released
  in another RPM
- added doc package

* Fri Jan 28 2000 Henri Gomez <gomez@slib.fr>
- v3.1_m1

* Tue Jan 18 2000 Henri Gomez <gomez@slib.fr>
- first RPM of v3.1_m1_rc1

* Tue Jan  4 2000 Henri Gomez <gomez@slib.fr>
- moved from /opt/jakarta/jakarta-tools to /opt/ant

* Tue Jan  4 2000 Henri Gomez <gomez@slib.fr>
- CVS 4 Jan 2000
- added servlet.jar from tomcat in SRPM
   to allow first build of moo.

* Thu Dec 30 1999 Henri Gomez <gomez@slib.fr>
- Initial release for jakarta-tools cvs

